#!/usr/bin/python

grades_file = open('grades.txt', 'r')
grades = grades_file.read().splitlines()
grades_file.close()

A = "A, 90-100"
B = "B, 80-89"
C = "C, 70-79"
D = "D, 60-69"
F = "F, 0-59"

ranges = {A : 0,
          B : 0,
          C : 0,
          D : 0,
          F : 0
         }

for grade in grades:
    grade = int(grade) # convert the string from the file to an int
    if grade < 0 or grade > 100:
        print "Invalid Grade:", grade
    elif grade >= 90:
        ranges[A] += 1
    elif grade >= 80:
        ranges[B] += 1
    elif grade >= 70:
        ranges[C] += 1
    elif grade >= 60:
        ranges[D] += 1
    else:
        ranges[F] += 1

# find the maximum value out of any of the grades
max_value = 0
for v in ranges.values():
    if v > max_value:
        max_value = v

# print the bar graph
for i in range(max_value):
    # Definitely violating DRY principle here, but...not sure of a better way.
    a = "     *" if (max_value - i) <= ranges[A] else ""
    b = "     *" if (max_value - i) <= ranges[B] else ""
    c = "     *" if (max_value - i) <= ranges[C] else ""
    d = "     *" if (max_value - i) <= ranges[D] else ""
    f = "     *" if (max_value - i) <= ranges[F] else ""
    print "{0:10} | {1:10} | {2:10} | {3:10} | {4:10}".format(a, b, c, d, f) 

# print the bottom labels for each "bar"
print "-" * 65
print "{0:10} | {1:10} | {2:10} | {3:10} | {4:10}".format(A, B, C, D, F) 
