#!/usr/bin/python

# Two player game: goal is to not be the last to take any sticks.

from random import randint

def get_user_input(num_sticks, player):
    prompt = "Player " + player + ", how many sticks will you take (between 1 and 3)? "
    take = raw_input(prompt)
    while not take.isdigit() or int(take) <= 0 or int(take) > 3:
        print "That was not a valid number of sticks."
        take = raw_input(prompt)
    return int(take)

def game():
    # start with a random amount of sticks
    sticks = "|" * randint(5,30)
    players = ["One", "Two"]
    turn = 0
    while len(sticks) > 0:
        player = players[turn % len(players)]
        print "There are", len(sticks), "sticks remaining."
        print sticks, '\n'
        take = get_user_input(len(sticks), player)
        sticks = "|" * (len(sticks) - take)
        if len(sticks) == 0:
            print "Player", player, "lost the game!"
        turn += 1

game()
