#!/usr/bin/python

from random import randint

def main():
    sticks = randint(5, 30)
    turn = 1
    while True:
        print '\n' + str(sticks) + '   sticks'
        p1 = get_input(turn, sticks)
        while p1 > 3 or p1 <= 0:
            print 'You must take 1, 2, or 3 sticks.'
            p1 = get_input(turn)
        sticks -= p1
        if sticks <= 0: loss(turn)
        if turn == 1: turn = 2
        else: turn = 1

def loss(player):
    print 'Player ' + str(player) + ' has lost the game.'
    exit(0)

def ai_move(sticks):
    cantake = min(sticks, 3)
    if sticks % 4 == 2 or sticks % 4 == 1:
        take = 1
    elif sticks % 4 == 3: 
        take = 2
    elif sticks % 4 == 0:
        take = 3
    print 'The computer takes '+str(take)+' sticks.'
    return take

def get_input(player, sticks):
    if player == 2:
        return ai_move(sticks)
    instr = raw_input('Player '+str(player)+', how many sticks do you take? ')
    instr = instr.strip()
    try:
        return int(instr)
    except:
        print 'you can only take an integer number of sticks'
        return get_input(player)

if __name__ == '__main__':
    main()
