#!/usr/bin/python

# Read the input
grades_file = open('grades.txt', 'r')
grades = grades_file.read().splitlines()
grades_file.close()

# Define String Keys for Dictionary
A = "A, 90-100"
B = "B, 80-89"
C = "C, 70-79"
D = "D, 60-69"
F = "F, 0-59"

# Initialize the Dictionary of Counters
ranges = {A : 0,
          B : 0,
          C : 0,
          D : 0,
          F : 0
         }

# Bin-Sort all the grades
for grade in grades:
    grade = int(grade) # convert the string from the file to an int
    if grade < 0 or grade > 100:
        print "Invalid Grade:", grade
    elif grade >= 90:
        ranges[A] += 1
    elif grade >= 80:
        ranges[B] += 1
    elif grade >= 70:
        ranges[C] += 1
    elif grade >= 60:
        ranges[D] += 1
    else:
        ranges[F] += 1

# print out horizontal bar graph, row by row
for r in sorted(ranges.keys()):
    out = "*" * ranges[r]
    print "{0:10} : {1:}".format(r, out) 
